Create a follow-up task owned by the connection owner
POST
/v1/workspace/automation/actions/create-task
const url = 'https://api.vocapable.com/v1/workspace/automation/actions/create-task';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"title":"example","due_at":"2026-04-15T12:00:00Z","organization_id":"example","contact_id":"example","idempotency_key":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/automation/actions/create-task \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "due_at": "2026-04-15T12:00:00Z", "organization_id": "example", "contact_id": "example", "idempotency_key": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspaceAutomationTaskCreate
object
Examplegenerated
{ "title": "example", "due_at": "2026-04-15T12:00:00Z", "organization_id": "example", "contact_id": "example", "idempotency_key": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceAutomationResult
object
id
required
Id
string
kind
required
Kind
string
created
required
Created
boolean
Example
{ "kind": "task"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}